summaryrefslogtreecommitdiffstats
path: root/scripts/respin-jcloud-images.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/respin-jcloud-images.sh')
-rwxr-xr-xscripts/respin-jcloud-images.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/respin-jcloud-images.sh b/scripts/respin-jcloud-images.sh
new file mode 100755
index 000000000..3d1195847
--- /dev/null
+++ b/scripts/respin-jcloud-images.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+# Copyright 2016 The Linux Foundation <cjcollier@linuxfoundation.org>
+source ../vagrant/lib/respin-functions.sh
+
+source ${PVE_PATH}/bin/activate
+
+# Acquire bootstrap images
+#download_deb_image 'Ubuntu' '14.04' 'amd64'
+#download_deb_image 'Ubuntu' '16.04' 'amd64'
+#download_rh_image 'CentOS' '7' 'x86_64'
+
+# Push images to openstack via glance
+#create_deb_image 'Ubuntu' '14.04' 'amd64'
+#create_deb_image 'Ubuntu' '16.04' 'amd64'
+#create_rh_image 'CentOS' '7' 'x86_64'
+
+# Respin images
+respin_deb_image 'Ubuntu' '14.04' 'amd64'
+respin_deb_image 'Ubuntu' '16.04' 'amd64'
+respin_rh_image 'CentOS' '7' 'x86_64'